<div class="smrtUsers paddingLR" ng-controller="userCtrl">

    <div class="existingUsers moreBtm">
        <div class="subHeader borderBtm paddingFull">
            <div class="heading floatLeft">
                All User
            </div>
            <div class="btn floatRight small newUserAccountBtn" ng-click="clearFormData()">New User</div>
            <span class="clear"></span>
        </div>

        <div class="dataTable full usersTable subNormal">
            <div class="dataRow header">
                <div class="rowContMain">

                    <ul class="rowCont">

                        <li class="name">
                            <div class="content">
                                Username
                            </div>
                        </li>
                        <li class="name">
                            <div class="content">
                                First Name
                            </div>
                        </li>
                        <li class="name">
                            <div class="content">
                                Last Name
                            </div>
                        </li>
                        <li class="id">
                            <div class="content">
                                Email
                            </div>
                        </li>
                        <li class="edit">
                            <div class="content">
                                Edit
                            </div>
                        </li>
                        <li class="delete">
                            <div class="content">
                                Delete
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="dataRow" ng-repeat="userData in userData.userArray track by $index">
                <div class="rowContMain">

                    <ul class="rowCont">

                        <li class="name">
                            <div class="content">
                                {{userData.username}}
                            </div>
                        </li>
                        <li class="name">
                            <div class="content">
                                {{userData.firstName}}
                            </div>
                        </li>
                        <li class="name">
                            <div class="content">
                                {{userData.lastName}}
                            </div>
                        </li>
                        <li class="id">
                            <div class="content">
                                {{userData.email}}
                            </div>
                        </li>
                        <li class="edit" ng-if="!userData.userDetails.isAdmin">
                            <div class="content">
                                <div class="editBtn" ng-click="editUserDetails(userData)">
                                    <img src="images/editSign.png" alt="">
                                </div>
                            </div>
                        </li>
                        <li class="delete"><!--{{userData.username}}-->
                            <div class="content" ng-if="!userData.isAdmin">
                                <div class="deleteBtn"
                                     ng-click="setUserIdForDelete(userData._id,$index,userData.username)">
                                    <img src="images/delete_red.png" alt="">
                                </div>
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
        </div>

        <ul class="pagination marginTop">
            <li ng-repeat="page in userData.userCountArray track by $index"
                ng-class="{active: $index+1 == userData.pageSelected}" ng-click="getUserDataForPage($index+1)">
                {{$index+1}}
            </li>
        </ul>
    </div>

    <!--....... New Users .......-->
    <div class="newUsers popup absolute">
        <div class="popupCont">
            <div class="marginBtm">Accounts Details</div>
            <div class="formMain marginBtmSec">
                <form name="userForm" novalidate>
                    <ul class="form normal">
                        <li class="">
                            <div class="tag">First Name <span class="error mainNormal">*</span></div>
                            <input type="text" class="subNormal" placeholder="First Name" name="fName"
                                   ng-model="userData.newUserData.firstName" required>
                            <div class="error smallest marginTopShort"
                                 ng-if="!userForm.fName.$pristine && userForm.fName.$invalid">
                                First Name is Required
                            </div>
                        </li>
                        <li class="">
                            <div class="tag">Last Name <span class="error mainNormal">*</span></div>
                            <input type="text" class="subNormal" placeholder="Last Name" name="lName"
                                   ng-model="userData.newUserData.lastName" required>
                            <div class="error smallest marginTopShort"
                                 ng-if="!userForm.lName.$pristine && userForm.lName.$invalid">
                                Last Name is Required
                            </div>
                        </li>
                        <li class="">
                            <div class="tag">User Name <span class="error mainNormal">*</span></div>
                            <input ng-class="{disableTextColour:userData.userFormDetails.buttonType=='Update'}"
                                   ng-disabled="userData.userFormDetails.buttonType=='Update'" type="text"
                                   class="subNormal" placeholder="User Name" name="uName"
                                   ng-model="userData.newUserData.username" required>
                            <div class="error smallest marginTopShort"
                                 ng-if="!userForm.uName.$pristine && userForm.uName.$invalid">
                                User Name is Required
                            </div>
                        </li>
                        <li class="">
                            <div class="tag">Email</div>
                            <input type="email" class="subNormal" placeholder="Email" name="email"
                                   ng-model="userData.newUserData.email">
                        </li>
                        <li class="" ng-if="userData.userFormDetails.buttonType=='Save'">
                            <div class="tag">Password <span class="error mainNormal">*</span></div>
                            <input type="password" class="subNormal" placeholder="Password" name="password"
                                   ng-model="userData.newUserData.password" required>
                            <div class="error smallest marginTopShort"
                                 ng-if="!userForm.password.$pristine && userForm.password.$invalid">
                                Password is Required
                            </div>
                        </li>
                        <li class="" ng-if="userData.userFormDetails.buttonType=='Update'">
                            <div class="tag">New Password</div>
                            <input type="password" class="subNormal" placeholder="New Password" name="newPassword"
                                   ng-model="userData.newUserData.newPassword">
                        </li>
                    </ul>
                </form>
            </div>
            <div class="formBtns small">
                <input type="button" class="save close btn midBlock marginRgt" ng-click="saveNewUser()"
                       ng-if="userData.userFormDetails.buttonType=='Save'" ng-disabled="userForm.$invalid"
                       ng-value="userData.userFormDetails.buttonType">
                <input type="button" class="save close btn midBlock marginRgt" ng-click="updateUserDetails()"
                       ng-if="userData.userFormDetails.buttonType=='Update'" ng-disabled="userForm.$invalid"
                       ng-value="userData.userFormDetails.buttonType">
                <!--<div class="save close btn midBlock marginRgt" ng-click="updateUserDetails()"
                 ng-if="userData.userFormDetails.buttonType=='Update'" ng-disabled="userForm.$invalid">{{userData.userFormDetails.buttonType}}</div>-->
                <div class="close btn midBlock cancel">Cancel</div>

            </div>
        </div>
    </div>


    <!--........ Delete User ........-->
    <div class="DeleteUserAccount popup">
        <div class="popupCont">
            <div class="txt">Do you want to delete {{userData.delete.userName}}</div>
            <div class="formBtns small">
                <div class="save close btn midBlock marginRgt" ng-click="deleteUser()">Delete</div>
                <div class="close btn midBlock cancel">Cancel</div>
            </div>
        </div>
    </div>
</div>

